
add_library(
	OxPreloader
		preloader.cpp
)

if(NOT MSVC)
	target_compile_options(OxPreloader PRIVATE -Wsign-conversion)
	target_compile_options(OxPreloader PRIVATE -Wconversion)
endif()

target_link_libraries(
	OxPreloader PUBLIC
		OxClaw
		OxModel
		OxStd
)

install(
	FILES
		alignmentcatcher.hpp
		platspecs.hpp
		preloader.hpp
		unionsizecatcher.hpp
	DESTINATION
		include/nostalgia/preloader
)

install(
	TARGETS
		OxPreloader
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)
